Subject: Re: [PATCH net-next v4 2/2] net: dsa: mv88e6xxx: Add devlink param for ATU hash algorithm.

From: Jiri Pirko <[email-masked]>
Date: Mon, 21 Oct 2019 09:57:41 +0200

Sun, Oct 20, 2019 at 07:31:04PM CEST, [email-masked] wrote:
>On Sun, Oct 20, 2019 at 08:02:46AM +0200, Jiri Pirko wrote:
>> Sun, Oct 20, 2019 at 07:54:59AM CEST, [email-masked] wrote:
>> >Sat, Oct 19, 2019 at 11:12:34PM CEST, [email-masked] wrote:
>> >>> Could you please follow the rest of the existing params?
>> >>
>> >>Why are params special? Devlink resources can and do have upper case
>> >>characters. So we get into inconsistencies within devlink,
>> >>particularly if there is a link between a parameter and a resources.
>> >
>> >Well, only for netdevsim. Spectrum*.c resources follow the same format.
>> >I believe that the same format should apply on resources as well.
>> >
>> 
>> Plus reporters, dpipes follow the same format too. I'm going to send
>> patches to enforce the format there too.
>
>Hi Jiri
>
>I'm pretty much against this. This appears to be arbitrary. There is
>no technical reason, other than most users so far have kept to lower
>case. But in general, the kernel does not impose such restrictions.
>
>Ethtool statistics are mixed case.
>Interface names are mixed case.
>/dev devices are mixed case.
>Namespaces are mixed case.
>All HWMON properties and names are mixed case.
>Interrupt names are mixed case.
>IIO names are mixed case.
>etc.
>
>Apart from the FAT filesystem, can you think of any places in the
>kernel which enforce lower case? And if so, why does it impose lower
>case?

Okay. As you wish. I will change the checker so you can have this as
"ATU_hash".

>       Andrew